void mouseMoved()
{
  // select data by current mode
  int [][]pData = null;
  int nDataMax = 0;
  String strTitle = "";
  
  switch(heightMode) {
    
  case 1:
    pData = gNYTimesFreq;
    nDataMax = gNYTimesFreqMax;
    strTitle = "NYTimes: South Korea | North Korea ("+gnYearStart+"-"+gnYearEnd+")";
    break;
    
  case 2:
    pData = gSPLFreq;
    nDataMax = gSPLFreqMax;
    strTitle = "SPL: South Korea | North Korea ("+gnYearStart+"-"+gnYearEnd+")";
    break;
    
  default:
    assert(false);
    break;
  }
  
  // # of bars and bar sizes
  int   nItems = (gnYearEnd-gnYearStart+1)*12;
  float fWidth = (float)(width-gfHMargin*2)/(float)nItems;
  float fHeight = (float)(height-gfVMargin*2)/2.0f;

  // detect whether mouse is on bar or not
  int nRawY = height/2 - mouseY;
  gnMouseEventBarX = floor( (float)(mouseX-gfHMargin) / (float)fWidth );
  gnMouseEventBarY = int(nRawY<0);
  if( gnMouseEventBarX>=0 && gnMouseEventBarX<pData[0].length && pData[gnMouseEventBarY][gnMouseEventBarX]/float(nDataMax)*fHeight >= abs(nRawY) )  {
    gbMouseEvent = true;
  }
  else  {
    gbMouseEvent = false;
  }
  
}

